Phone system & SMS

Call list

Numbers added to call lists (newest first, push rows) and links (connected call centres — id, name, provider, campaign, appointments), on. Without a company, sales users see only what they added.

GET/api/v1/tel/call-list

Authorization

Authorizationheaderrequired
Bearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope: crm.read

Query parameters

customer_idintegeroptional
Company.
statusstringoptional
Status.
Valuesqueuedsentfailed
limitintegeroptionaldefault: 50
Max (1–100).

Errors

HTTPerrorMeaning
404not_foundRecord not found.
Request
curl https://ornek.solk.app/api/v1/tel/call-list \
  -H "Authorization: Bearer $SOLK_API_KEY"
Response